[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnash-dev] --enable-strict

From: Rob Savoye
Subject: Re: [Gnash-dev] --enable-strict
Date: Thu, 19 Oct 2006 08:18:31 -0600
User-agent: Thunderbird (X11/20060913)

Martin Guy wrote:
>> A couple of words about --enable-strict.

> Warnings depend what compiler and processor you are compiling on - I
> think that would break many builds that would have succeeded otherwise
> but that you cannot test

I agree with Martin here... I often find I have to remove -Werror from
other projects's Makefiles so they build with various compilers. I like
to build with --enable-strict, and think we should make sure Gnash
builds with it before any release. I don't think we should make this the
default however for all builds.

>> This would force developers to fix
>> the warnings immediately.
> Not really. Trying to force people to do things by devious mechanical
> means is usually counter-productive.  The sort of people who see

  They'll likely just bury us in mostly bogus bug reports... We have
alot more people building Gnash from source than we have "other
developers". I know quite a few non-programming users that still know
the minimal about compiling packages.

        - rob -

reply via email to

[Prev in Thread] Current Thread [Next in Thread]